Returns the list of amendments to a specified bill.

GET /bill/:congress/:billType/:billNumber/amendments

Example Request

/v3/bill/117/hr/3076/amendments
::

{
    'amendments': [
        {
            'congress': 117,
            'description': 'Pursuant to the provisions of H. Res. 912, the amendment in the nature of a substitute consisting of the text of Rules Committee Print 117-32 is considered as adopted.',
            'latestAction': {
              'date': '2022-02-08',
              'text': 'On agreeing to the Rules amendment (A001) Agreed to without objection. '
            },
            'number': '172',
            'type': 'HAMDT',
            'url': 'https://api.congress.gov/v3/amendment/117/hamdt/172?format=json'
        }
    ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

string
required

The type of bill. Value can be hr, s, hjres, sjres, hconres, sconres, hres, or sres.

integer
required

The bill's assigned number. For example, the value can be 3076.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!